Creates a new db_file. Either supply the file as multipart/form-data (form field "file", with db_table_id/id_in_table/description as additional form fields), or supply directly the field db_file.file_content as a Byte Array in a JSON/XML body.
Request Information
URI Parameters :
None.
Body Parameters :
db_file| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| db_table_id |
Table.id of the linked entity |
globally unique identifier | |
| db_table_name |
Foreign key to the table of the linked entity using table name. Can be article,company,contact,jobs,job_approval,project or task.Will be also filled on Get to allow Odata Filter on it |
string | |
| id_in_table |
Id of the linked entity |
globally unique identifier | |
| name |
Name of the file |
string |
Required Max length: 100 |
| description |
Description of the file |
string |
Max length: 4000 |
| file_name |
File_name of the file |
string |
Max length: 100 |
| image_width |
In case of picture, the original width |
integer | |
| image_heigth |
In case of picture, the original heigth |
integer | |
| mime_type |
Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg |
string |
Max length: 100 |
| file_content |
The file content, in Byte Array. Use this field when using POST/Put |
Collection of byte | |
| db_file_folder_id |
For Global Files : Foreign key to db file folder |
globally unique identifier | |
| db_file_folder_reference_back_office |
Embedded entity "db_file_folder" using ERP PK when adding/updating db_file |
string | |
| db_file_folder |
Embedded entity "db_file_folder" using node when adding/updating db_file |
db_file_folder | |
| sales_organization_id |
In case of global files - you can specifiy if it's available for all organization or only one |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating db_file |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating db_file |
sales_organization | |
| file_type_name |
Readonly :Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF |
string | |
| file_size |
Size in bytes of the file_content |
integer | |
| user_notification |
For Global files - indicate if user should be informed that this file is available |
boolean | |
| is_archived |
Indicate if the file has been deleted (content flushed) |
boolean | |
| date_add |
Date when file has been added |
date | |
| date_update |
Update date, auto filled by Now if no value received |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "7b007e4e-182b-4d2d-8591-35a1461658c5",
"db_table_id": "57fedf1d-d0b8-46eb-a013-a5fff8baa8be",
"db_table_name": "sample string 3",
"id_in_table": "e72377d0-a91e-4445-903a-a67ce9d1c849",
"name": "sample string 5",
"description": "sample string 6",
"file_name": "sample string 7",
"image_width": 8,
"image_heigth": 9,
"mime_type": "sample string 10",
"file_content": "QEA=",
"db_file_folder_id": "07025a1c-5eff-45e3-86a9-bc1443ec9ee3",
"db_file_folder_reference_back_office": "sample string 12",
"sales_organization_id": "fcf7f08e-edae-4f3c-b400-aadf97b87a8f",
"sales_organization_code": "sample string 14",
"file_type_name": "sample string 15",
"file_size": 16,
"user_notification": true,
"is_archived": true,
"date_add": "2026-10-26T15:36:33.6932089+00:00",
"date_update": "2026-10-26T15:36:33.6932089+00:00",
"modified_dateutc": "2026-10-26T15:36:33.6932089+00:00"
}
Response Information
Resource Description :
db_file| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| db_table_id |
Table.id of the linked entity |
globally unique identifier | |
| db_table_name |
Foreign key to the table of the linked entity using table name. Can be article,company,contact,jobs,job_approval,project or task.Will be also filled on Get to allow Odata Filter on it |
string | |
| id_in_table |
Id of the linked entity |
globally unique identifier | |
| name |
Name of the file |
string |
Required Max length: 100 |
| description |
Description of the file |
string |
Max length: 4000 |
| file_name |
File_name of the file |
string |
Max length: 100 |
| image_width |
In case of picture, the original width |
integer | |
| image_heigth |
In case of picture, the original heigth |
integer | |
| mime_type |
Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg |
string |
Max length: 100 |
| file_content |
The file content, in Byte Array. Use this field when using POST/Put |
Collection of byte | |
| db_file_folder_id |
For Global Files : Foreign key to db file folder |
globally unique identifier | |
| db_file_folder_reference_back_office |
Embedded entity "db_file_folder" using ERP PK when adding/updating db_file |
string | |
| db_file_folder |
Embedded entity "db_file_folder" using node when adding/updating db_file |
db_file_folder | |
| sales_organization_id |
In case of global files - you can specifiy if it's available for all organization or only one |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating db_file |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating db_file |
sales_organization | |
| file_type_name |
Readonly :Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF |
string | |
| file_size |
Size in bytes of the file_content |
integer | |
| user_notification |
For Global files - indicate if user should be informed that this file is available |
boolean | |
| is_archived |
Indicate if the file has been deleted (content flushed) |
boolean | |
| date_add |
Date when file has been added |
date | |
| date_update |
Update date, auto filled by Now if no value received |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "79530072-c7c2-4d04-8f38-660e6f4c9843",
"db_table_id": "6ac5d74e-4cc8-4f47-b9e2-6972a1bd9955",
"db_table_name": "sample string 3",
"id_in_table": "db08c997-58c4-4b77-832b-d8cae3462f01",
"name": "sample string 5",
"description": "sample string 6",
"file_name": "sample string 7",
"image_width": 8,
"image_heigth": 9,
"mime_type": "sample string 10",
"file_content": "QEA=",
"db_file_folder_id": "083648ce-2ab6-4d89-af5f-c8122217fdc4",
"db_file_folder_reference_back_office": "sample string 12",
"sales_organization_id": "6b50096f-4404-4f76-be43-cf2445dd2d5b",
"sales_organization_code": "sample string 14",
"file_type_name": "sample string 15",
"file_size": 16,
"user_notification": true,
"is_archived": true,
"date_add": "2026-10-26T15:36:33.6932089+00:00",
"date_update": "2026-10-26T15:36:33.6932089+00:00",
"modified_dateutc": "2026-10-26T15:36:33.6932089+00:00"
}